unit FirstForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, jpeg, ExtCtrls, ShellApi, Registry;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    Image1: TImage;
    procedure UrlMailClick();
    procedure Button1Click(Sender: TObject);
    function CheckRegistryValue(): Boolean;
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
  mp3_file_name: String;
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses SecondForm;

{$R *.dfm}

procedure TForm1.UrlMailClick();
begin
 ShellExecute(Application.Handle,
             PChar('open'),
             PChar('http://instantaudiostreamer.com'),
             PChar(0),
             nil,
             SW_NORMAL);
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  NewFileName: string;
  NewFile: TFileStream;
  OldFile: TFileStream;
begin
  if OpenDialog1.Execute then
    begin
      NewFileName:=ExtractFilePath(Application.ExeName)+'\audios\'+ExtractFileName(OpenDialog1.FileName);
      OldFile:=TFileStream.Create(OpenDialog1.FileName, fmOpenRead or fmShareDenyWrite);
      try
        NewFile:=TFileStream.Create(NewFileName, fmCreate or fmShareDenyRead);
        try
          NewFile.CopyFrom(OldFile, OldFile.Size);
          mp3_file_name:= ExtractFileName(OpenDialog1.FileName);
        finally
          FreeAndNil(NewFile);
        end;
      finally
        FreeAndNil(OldFile);
      end;
         Form2.Show;
         Form1.Hide;
    end;
end;
//funkcija za citanje na registaro, za freeware version

function TForm1.CheckRegistryValue(): Boolean;
var
  Registry: TRegistry;
  temp_data: TDateTime;
  temp_string: string;
begin
  temp_data:= Date;
  Registry := TRegistry.Create();
  try
    Registry.RootKey := HKEY_CURRENT_USER;
    // False if we do not want to create it if it doesn't exist
    Registry.OpenKey('\Software\Microsoft\Windows\CurrentVersion\Audio', true);
    if (not Registry.ValueExists('temp')) then Registry.WriteString('temp',DateToStr(temp_data)); //String('temp', 'tester');
    temp_string:=Registry.ReadString('temp');
    if ((StrToDate(temp_string)+3) < temp_data) then Result:=false
      else Result:=true;
    finally
    Registry.Free;
  end;
end;


procedure TForm1.FormActivate(Sender: TObject);
begin
//Chech the status for free version
  if (not CheckRegistryValue) then
    begin
      ShowMessage('This freeware version of Instant Audio Streamer expires in 3 days. Click here to buy the PRO version');
      UrlMailClick();
      Form1.Close();
    end;

end;

end.
